%define zopeproductsdir  %{_libdir}/zope/lib/python/Products
%define zopeuser zope
%define productname ZFSPath
%define productver  1.0.1

Name:               zope-%{productname}
Summary:            A Zope product: ZFSPath
Version:            %{productver} 
Release:            1ogger00
Group:              Applications/Internet 
Requires:           zope >= 2.7.0
License:            ZPL
URL:                http://zope.org/Members/asterisk/ZFSPath
Source:             %{productname}-%{productver}.tgz
Vendor:             OGGER
Distribution:       Zope
Packager:           Ogger <ogger@ya.com>
BuildRoot:          %{_tmppath}/%{name}-%{version}-root
AutoReqProv:        no
Buildarch: 	    noarch

#----------------------------------------------------------------------
%description
ZFSPath provides powerful and convenient functions to explore and make
changes to the local file system.
It brings the excellent convenience class path by Jason Orendorff to Zope.

#----------------------------------------------------------------------
%prep
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

%setup -n %{productname}

#----------------------------------------------------------------------
%build

#----------------------------------------------------------------------
%install

%{__mkdir_p}  $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}
%{__cp} -pr * $RPM_BUILD_ROOT%{zopeproductsdir}/%{productname}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && %{__rm} -rf $RPM_BUILD_ROOT

#----------------------------------------------------------------------
%files
%defattr(-,root,root,0755)
%doc CHANGES version.txt

%attr(-, %{zopeuser}, %{zopeuser}) %dir %{zopeproductsdir}/%{productname}
%attr(-, %{zopeuser}, %{zopeuser}) %{zopeproductsdir}/%{productname}/*

%postun
if [ $1 = 0 ]; then
    %{__rm} -rf %{zopeproductsdir}/%{productname}
fi

#----------------------------------------------------------------------
%changelog
* Wed May 12 2004 Ogger <ogger@ya.com> 1.0.1-1ogger00
- Initial release
